mmgmos <- function(object, background=TRUE, savepar=FALSE, eps=1.0e-6){

  probes <- length(probeNames(object))
  conds <- length(object)
  genes <- length(geneNames(object))

  cdf <- cleancdfname(cdfName(object))
  phiname <- paste(substr(cdf,1,nchar(cdf)-3), "phis", sep="")
  if(phiname %in% do.call("data", list(package="mmgmos"))$results[, 3])
  {
      do.call("data", list(phiname))
      phis <- eval(parse(text=phiname))
  }
  else
      phis <- c(0,0,0)
      
  prctiles <- 0.01*c(5, 25, 50, 75, 95);
  
  if (background == TRUE)
  {
    for (i in c(1:conds)){
      m<-min(c(min(pm(object)[,i]),min(mm(object)[,i])))
      pm(object)[,i]<-pm(object)[,i]-m+1
      mm(object)[,i]<-mm(object)[,i]-m+1
    }
  }

  res <-
  	.Call("mmgmos_c", pm(object), mm(object), genes, probeNames(object), phis, prctiles, length(prctiles), savepar, eps, PACKAGE="mmgmos")

  expr <- matrix(res[c(1:genes),],genes,conds)
  se <- matrix(res[c((genes+1):(2*genes)),],genes,conds)
  prc5 <- matrix(res[c((2*genes+1):(3*genes)),],genes,conds)
  prc25 <- matrix(res[c((3*genes+1):(4*genes)),],genes,conds)
  prc50 <- matrix(res[c((4*genes+1):(5*genes)),],genes,conds)
  prc75 <- matrix(res[c((5*genes+1):(6*genes)),],genes,conds)
  prc95 <- matrix(res[c((6*genes+1):(7*genes)),],genes,conds)

  rm(res)

  rownames(expr) <- geneNames(object)
  colnames(expr) <- sampleNames(object)
  rownames(se) <- geneNames(object)
  colnames(se) <- sampleNames(object)
  rownames(prc5) <- geneNames(object)
  colnames(prc5) <- sampleNames(object)
  rownames(prc25) <- geneNames(object)
  colnames(prc25) <- sampleNames(object)
  rownames(prc50) <- geneNames(object)
  colnames(prc50) <- sampleNames(object)
  rownames(prc75) <- geneNames(object)
  colnames(prc75) <- sampleNames(object)
  rownames(prc95) <- geneNames(object)
  colnames(prc95) <- sampleNames(object)

  phenodata <- phenoData(object)
  annotation <- annotation(object)
  description <- description(object)
  notes <- notes(object)

  new("exprReslt", prcfive = prc5, prctwfive = prc25, prcfifty = prc50, prcsevfive = prc75, prcninfive = prc95, 
       exprs = expr, se.exprs = se, phenoData = phenodata,
       annotation = annotation, description = description, notes = notes)
}

