\name{justmgMOS}
\alias{justmgMOS}
\alias{just.mgmos}
\title{Compute mgmos Directly from CEL Files}
\description{
  This function converts CEL files into an \code{exprReslt} using mgmos.
}
\usage{
justmgMOS(..., filenames=character(0),
         widget=getOption("BioC")$affy$use.widgets,
         compress=getOption("BioC")$affy$compress.cel,
         celfile.path=getwd(),
         sampleNames=NULL,
         phenoData=NULL,
         description=NULL,
         notes="",
         background=TRUE, savepar=FALSE, eps=1.0e-6)

just.mgmos(..., filenames=character(0),
          phenoData=new("phenoData"),
          description=NULL,
          notes="",
          compress=getOption("BioC")$affy$compress.cel,
          background=TRUE, savepar=FALSE, eps=1.0e-6)

}
\arguments{
  \item{\dots}{ file names separated by comma.}
  \item{filenames}{ file names in a character vector.}
  \item{widget}{a logical specifying if widgets should be used.}
  \item{compress}{are the CEL files compressed ?}
  \item{celfile.path}{a character denoting the path \code{ReadAffy} should look for
          cel files}
  \item{sampleNames}{a character vector of sample names to be used in
    the \code{AffyBatch}}
  \item{phenoData}{ a \code{\link[Biobase]{phenoData}} object}
  \item{description}{ a \code{\link[Biobase]{MIAME}} object}
  \item{notes}{ notes }
  \item{background}{Logical value. If \code{TRUE}, perform background correction before applying mgmos.}
  \item{savepar}{Logical value. If \code{TRUE} the estimated parameters of the model are saved in file par\_mgmos.txt and phi\_mgmos.txt.}
  \item{eps}{Optimisation termination criteria.}
}
\details{
  This method should require much less RAM than the conventional
  method of first creating an \code{AffyBatch} and then running
  \code{\link[mmgmos]{mgmos}}.
  
  Note that this expression measure is given to you in log base 2
  scale. This differs from most of the other expression measure
  methods.
}
\value{
 An \code{exprReslt}.
}
\seealso{ Related class \code{\link[mmgmos]{exprReslt-class}} and related method \code{\link[mmgmos]{mgmos}}}
\examples{

}
\keyword{manip}

